﻿@{
    ViewData["Title"] = "Career Day Tips";
}
@using CareerDayApp2._0.Models

<div class="white-background">
    <div class="row" style="background-color: #92A2BD !important; color: white !important">
        <div class="col-sm-12">
            <!--Display the title of the webpage-->
            <h2 style="text-align: center; color: white;">@ViewData["Title"]</h2>
        </div>
    </div>
    <!--Display the banner at top of Career Day info page-->
    <div class="row" style="background-color: #92A2BD !important">
        <div class="col-sm-12">

            <p style="text-align: center; color: white">
            <p style="text-align: center; color: white !important">
                <i>
                    "At Career Day, start with your least interested position for pitch practice and to help boost your confidence."
                    <br /> -Sierra Nevada Corporation
                </i>
            </p>
        </div>
    </div>
    <!--Display links to Career day resources-->
    <div class="row" style="padding-top: 8px !important;">
        <div class="col-sm-4 center">
            <p class="tips-headers"> Come prepared to Career Day with these helpful <a style="color: #D2492A" href="~/images/Tips/@ViewBag.pdfs["tips"]" target="_blank"> Career Day Tips</a>.</p>
        </div>
        <div class="col-sm-4 center">
            <p class="tips-headers"> Make sure that you look your best at Career Day with the <a style="color: #D2492A" href="~/images/Tips/@ViewBag.pdfs["dress"]" target="_blank"> Dress to Impress</a> guide.</p>
        </div>
        <div class="col-sm-4 center">
            <p class="tips-headers"> Knowing the right people can help you move forward in your career. Use the <a style="color: #D2492A" href="~/images/Tips/@ViewBag.pdfs["networking"]" target="_blank"> Mines Networking Strategies</a> to help you expand your circle of contacts.</p>
        </div>
        <br />
    </div>
    <!--Display textfield for user to save "30-sec Introduction"-->
    <div class="row padding-bottom" style="background-color: #21314D; padding-bottom: 3%;">
        <div class="col-sm-12 center">
            <p class="tips-headers" style="color: white">
                Use the text field below to type out your <a style="color: #D2492A" href="~/images/Tips/@ViewBag.pdfs["intro"]" target="_blank">
                    30-Second Introduction.
                </a><br />
            </p>
            <form action="TipsAndTricks" enctype="multipart/form-data" method="post">
                <textarea class="textbox" name="intro" placeholder="Type in your 30-Second Intro here...">@ViewBag.Info</textarea>
                <br />
                <div class="row center">
                    <div class="col-sm-4" >
                        <input name="saved" type="submit" value="Save">
                    </div>
                    <div class="col-sm-4" >
                        @if (ViewBag.info == "")
                        {
                            <button class="download" name="download" type="submit" value="Download"
                                    onclick="return confirm('You have not saved an introduction and there is nothing to download')">
                                Download
                            </button>
                        }
                        else
                        {
                            <button class="download" name="download" type="submit" value="Download" onclick="notify()">Download</button>
                        }
                    </div>
                    <div class="col-sm-4">
                        <input type="file" name="userFile" accept="*.txt" style="color: #D2492A; margin: 0 auto; padding-left: 12%"
                               onclick="return confirm('Uploading a file will overwrite any existing introduction')" />
                    </div>
                </div>
            </form>
        </div>
    </div>

    <div class="row">
        <div class="col-sm-12 center">
            <p class="tips-headers">
                Did you know? You can print your resume for
                <strong style="color: #D2492A">FREE</strong> at the Career Center! Come visit them today!
            </p>
        </div>
    </div>
</div>

<script>
    /***
     * Summary. Function to show alert about how notes are saving. This is called when the save button is clicked.
     * 
     * return {void}
     */
    function notify() {
        alert("Your introduction will be saved to your Downloads folder as \"Introduction.txt\".");
    }
</script>